Added
New fields, enum values, and schemas across the Trading API
about 1 month ago
Trading API
Expands the Trading API to reflect current backend behavior with new fields, enum values, and response schemas:
- New asset class filter values on
GET /v2/orders:crypto_perp,treasury,ipo,corporate,global_equity,us_index, andus_equity_chain. - New
crypto_statusfield on the account schema, plus newstatusvalues:APPROVED,ACCOUNT_CLOSED_PENDING,ACTION_REQUIRED,LIMITED,INACTIVE,PAPER_ONLY, andACCOUNT_CLOSED. - New
min_order_size,min_trade_increment, andprice_incrementfields on the asset schema. - New
expires_atandratio_qtyfields on the order schema, and a newheldvalue on the order status enum. - New
swap_rate,avg_entry_swap_rate,prev_swap_rate, andusdfields on the position schema, pluslongandshortvalues on the position side enum. - A new
WalletFeeEstimateResponseschema returned by the crypto transfer fee estimate endpoint.
Affected Endpoints
GET /v2/accountGET /v2/ordersPOST /v2/ordersGET /v2/orders/{order_id}PATCH /v2/orders/{order_id}GET /v2/orders:by_client_order_idGET /v2/positionsGET /v2/positions/{symbol_or_asset_id}DELETE /v2/positionsDELETE /v2/positions/{symbol_or_asset_id}GET /v2/assetsGET /v2/assets/{symbol_or_asset_id}GET /v2/wallets/fees/estimate